menu

Questions & Answers

IntelliJ org/apache/cxf/tools/wsdlto/WSDLToJava has been compiled by a more recent version of the Java Runtime

I am getting the following error message: error message

For some reason IntelliJ compiles plugin JAR files with JDK 11 not 8.

I have the following configuration in Project Structure: IntelliJ Project Structure view

Gradle JVM:
Gradle JVM view

Java Compiler: Java compiler view

Also tried to change Boot runtime version, but in case I am using an old one IntelliJ won't open: Currently selected version of JBR version

JAVA_HOME is referencing to JDK 8:
Windows JAVA_HOME variable value

Right now I don't have any ideas what to do. Any suggestions?

IntelliJ version: 2022.3.1

Gradle Wrapper version: 3.0

JDK version: 1.8

Comments:
2023-01-21 00:00:11
Hi and welcome to stack overflow, please do not upload images of code/data/errors.
2023-01-21 00:00:11
check this answer, because it may help you stackoverflow.com/questions/74928824/…
2023-01-21 00:00:11
@kojot, thank you for your help. Indeed, by specifying cxf version, it can download jar files that support jdk 8.
Answers(0) :